#include <iostream>

using namespace std;

int n,k,br=0;
	int niz[1000006];
	int pomocni[1000006],pomocni2[1000006];

int main()
{

	cin>>n>>k;
	for (int i = 0;i<n;i++)
    {
        pomocni[i]=0;
        pomocni2[i]=0;
    }
	for (int i = 0; i <n; i++)
	{
		cin>>niz[i];
		if (niz[i]>=0)

		{
		pomocni[niz[i]]+=1;
		}
		else
		{
			pomocni2[-(niz[i])]+=1;
		}

	}
	for (int i = 0; i < n ;i++)
	{
		if (pomocni[i]>=k)
		{
			br+=1;
		}
		if (pomocni2[i]>=k)
		{
			br+=1;
		}
	}
	cout<<br<<endl;
	for (int i =0;i<n;i++)
	{
		if(pomocni2[i]>=k)
		{
			cout<<-i<<" ";
		}
		if(pomocni[i]>=k)
		{
			cout<<i<<" ";
		}
	}
	return 0;
}